Permalink
Browse files

Add $theme_version property.

This is used to store the minimum version of Webcomic supported by the
active theme.
  • Loading branch information...
1 parent 3807565 commit 4b585e76da8bda3f1f7d912dc78ec7c2864e269c Michael Sisk committed Sep 19, 2012
Showing with 10 additions and 1 deletion.
  1. +10 −1 webcomic.php
View
@@ -84,6 +84,11 @@ class Webcomic {
*/
protected static $collection = '';
+ /** Minimum Webcomic version supported by the active theme.
+ * @var string
+ */
+ protected static $theme_version = '';
+
/** Set class properties and register hooks.
*
* @uses Webcomic::$dir
@@ -630,7 +635,11 @@ public function setup_theme() {
$integrate = get_file_data( get_stylesheet_directory() . '/style.css', array( 'webcomic' => 'Webcomic' ) );
- self::$integrate = empty( $integrate[ 'webcomic' ] );
+ if ( empty( $integrate[ 'webcomic' ] ) ) {
+ self::$integrate = true;
+ } else {
+ self::$theme_version = $integrate[ 'webcomic' ];
+ }
}
/** Register and enqueue javascript.

0 comments on commit 4b585e7

Please sign in to comment.